<?php
// $Id: views_tablesorter.admin.inc,v 1.1 2010/05/31 13:48:00 rooby Exp $

/**
 * @file
 * Admin forms for the views tablesorter module.
 */

/**
 * Admin settings form.
 *
 * @ingroup form
 */
function views_tablesorter_settings_form() {
  $form = array();

  $form['views_tablesorter_date_format'] = array(
    '#type' => 'select',
    '#title' => t('Date field sort format'),
    '#options' => array(
      'us' => 'mm/dd/yyyy or mm-dd-yyyy',
      'uk' => 'dd/mm/yyyy or dd-mm-yyyy',
    ),
    '#default_value' => variable_get('views_tablesorter_date_format', 'us'),
  );

  $form['pager_settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('Pager settings'),
  );
  $form['pager_settings']['views_tablesorter_page_size'] = array(
    '#type' => 'select',
    '#title' => t('Rows per page'),
    '#multiple' => TRUE,
    '#options' => array(
      5 => 5,
      10 => 10,
      12 => 12,
      15 => 15,
      18 => 18,
      20 => 20,
      25 => 25,
      30 => 30,
      35 => 35,
      40 => 40,
      45 => 45,
      50 => 50,
      60 => 60,
      70 => 70,
      75 => 75,
      80 => 80,
      90 => 90,
      100 => 100,
      125 => 125,
      150 => 150,
    ),
    '#default_value' => variable_get('views_tablesorter_page_size', array(10, 15, 20, 25)),
    '#description' => t('The pager allows users to select how many rows to display per page.  This setting allows you to select the possible options the user has to choose from. In addition to what is selected here will be the "Items per page" setting you choose in your view settings.'),
  );
  $form['pager_settings']['views_tablesorter_current_page_divider'] = array(
    '#type' => 'textfield',
    '#title' => t('Current page divider'),
    '#default_value' => variable_get('views_tablesorter_current_page_divider', ' of '),
    '#description' => t('This is the text that separates the current page number from the total number of pages in the pager.'),
  );

  return system_settings_form($form);
}
